post
/v1/zonesCreate zone
Create a new DNS zone
Request Body
requiredContent-Type: application/json
name
stringrequiredZone name (must end with a dot)
description
stringoptionalttl
integeroptionalDefault: 3600
type
stringoptionalEnum: "PRIMARY", "SECONDARY"
masters
arrayoptionalMaster nameservers (required for SECONDARY zones)
attributes
objectoptionalResponses
202
Zone creation initiated
Content-Type: application/json
zone
objectoptional400
Invalid request parameters
Content-Type: application/json
error
objectrequired401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired409
Zone already exists
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X POST "https://api.spo1.mycloud.com/v1/zones" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json" \-d '{"name": "example.com.","description": "string","email": "admin@example.com","ttl": 3600,"type": "PRIMARY","masters": ["string"],"attributes": {}}'
Response
Zone creation initiated
{"zone": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:dns:zone:550e8400-e29b-41d4-a716-446655440000","name": "example.com.","description": "Main domain zone","status": "ACTIVE","action": "NONE","type": "PRIMARY","email": "admin@example.com","ttl": 3600,"serial": 2024011501,"pool_id": "550e8400-e29b-41d4-a716-446655440000","masters": ["string"],"attributes": {},"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}